=begin
Easy Game Scripting by Ruby "pre-release" Sample Script
Copyright (C) 2006  Cyross Makoto

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=end

require 'egsr'

bmp = EGSR::Sprite.loadAA("aa_test.png")
bmp.x = 100
bmp.y = 100
bmp.visible = true

loop do
  EGSR::update
  if EGSR::Input::quit? || EGSR::Input::pushedEscape? || EGSR::Input.triggerBtn[1] == 1
    break
  end
  EGSR::Screen.screen.fillRect(0, 0, EGSR::Screen::Width, EGSR::Screen::Height, [128, 0, 0])
  if EGSR::Input.triggerDir[0] == 1
    bmp.y = bmp.y + 4
  end
  if EGSR::Input.triggerDir[1] == 1
    bmp.x = bmp.x - 4
  end
  if EGSR::Input.triggerDir[2] == 1
    bmp.x = bmp.x + 4
  end
  if EGSR::Input.triggerDir[3] == 1
    bmp.y = bmp.y - 4
  end
end
