=begin
Easy Game Scripting by Ruby "pre-release" Sample Script
Copyright (C) 2006  Cyross Makoto

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=end

require 'egsr'

EGSR::Screen.fps = 20

spr1 = EGSR::Sprite.create(0, 0, -1, -1, 255)
spr1.drawBlock = Proc.new(){|o|
  o.drawAACircle(200, 100, 100, [255,0,0])
}
spr1.visible = true

x = 0
y = 0
angle = 0
max = 20000
wait = max
loop do
  if wait == 0
    wait = max
  else
    wait = wait - 1
    next
  end
  EGSR.update
  if EGSR::Input::quit? || EGSR::Input.pushedBtn[1] == 1 || EGSR::Input.pushedEscape?
    break
  end
  spr1.drawBlock = Proc.new(){|o|
    o.drawAAFilledCircle(200 + x, 100 + y, 10, [255,0,0])
    x = Math.sin(angle) * 100
    y = Math.cos(angle) * 100
    angle = (angle + 1) % 360
  }
end
